<app-breadcrumb-admin [single]="false" titlePage="Crear Producto" backPage="Productos" url="products"></app-breadcrumb-admin>

<p *ngIf="alert.active">
  <ngb-alert [type]="alert.type" (closed)="closed()">{{ alert.message }}</ngb-alert>
</p>

<div class="row">
  <div class="col-12">
    <div class="card mb-3">
      <div class="card-header">
        <h3 class="text-capitalize"><fa-icon [icon]="faHandPointer"></fa-icon> Nuevo Producto</h3>
      </div>
      <div class="card-body">
        <form class="validate-form" (ngSubmit)="submit(form)" #form="ngForm">
          <div class="row">
            <div class="col-12 col-lg-8">
              <label for="name"  class="label-flags">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Nombre</span>
              </label>
              <input type="text" name="name" placeholder="Nombre" id="name" class="form-control" ngModel required>
              <label for="record"  class="label-flags">
                <span> Registro Sagarpa</span>
              </label>
              <input type="text" name="record" placeholder="Registro Sagarpa" id="record" class="form-control" ngModel>
              <label for="formula"  class="label-flags">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Formula</span>
              </label>
              <ckeditor [editor]="Editor" ngModel name="formula" id="formula"></ckeditor>
<!--              <label for="use"  class="label-flags">-->
<!--                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">-->
<!--                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">-->
<!--                <span> Uso</span>-->
<!--              </label>-->
<!--              <ckeditor [editor]="Editor" ngModel name="use" id="use"></ckeditor>-->
              <label for="dose"  class="label-flags">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Dosis</span>
              </label>
              <ckeditor [editor]="Editor" ngModel name="dose" id="dose"></ckeditor>
              <label for="presentations"  class="label-flags">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Presentaciones</span>
              </label>
              <ckeditor [editor]="Editor" ngModel name="presentations" id="presentations"></ckeditor>
              <label for="indications"  class="label-flags">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Indicaciones</span>
              </label>
              <ckeditor [editor]="Editor" ngModel name="indications" id="indications"></ckeditor>
              <label for="warnings"  class="label-flags">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Advertencias</span>
              </label>
              <ckeditor [editor]="Editor" ngModel name="warnings" id="warnings"></ckeditor>
<!--              <label for="characteristics"  class="label-flags">-->
<!--                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">-->
<!--                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">-->
<!--                <span> Caracteristicas</span>-->
<!--              </label>-->
<!--              <ckeditor [editor]="Editor" ngModel name="characteristics" id="characteristics"></ckeditor>-->
            </div>
            <div class="col-12 col-lg-4">
              <div class="card p-2 border">
                <h2 class="text-center">Categorias</h2>
                <div *ngFor="let category of categories">
                  <input type="checkbox" (click)="push(category._id)" >
                  &nbsp;
                  <label *ngIf="serviceTranslation.getLang() == 'es'">
                    <span *ngIf="category.name.es">{{ category.name.es }}</span>
                    <span *ngIf="!category.name.es">Editar </span>
                  </label>
                  <label *ngIf="serviceTranslation.getLang() == 'en'">
                    <span *ngIf="category.name.en">{{ category.name.en }}</span>
                    <span *ngIf="!category.name.en">Editar </span>
                  </label>
<!--                  <app-product-categories [parent]="category._id" (categorySelect)="push($event)" [categoriesSelect]="categoriesSelect"></app-product-categories>-->
                </div>
              </div>
              <div class="card p-2 border mt-3">
                <h2 class="text-center">Especies</h2>
                <div *ngFor="let kind of kinds">
                  <input type="checkbox" (click)="pushKind(kind._id)" >
                  &nbsp;
                  <label>
                    <span >{{ kind.name }}</span>
                  </label>
                  <app-products-kinds [parent]="kind._id" (kindSelect)="pushKind($event)" [kindsSelect]="kindsSelect"></app-products-kinds>
                </div>
              </div>
              <div class="card p-2 border mt-3">
                <h2 class="text-center">Via de Administración</h2>
                <div *ngFor="let route of routes">
                  <label>
                    <input type="checkbox" (click)="pushRoute(route._id)" >
                    &nbsp;
                    {{ route.name }}
                  </label>
                </div>
              </div>
            </div>
          </div>
          <div class="alert alert-primary mt-3" role="alert">
            <fa-icon [icon]="faImages"></fa-icon> Imágenes (Formato png, jpg o jpeg de tamaño 1,280 x 960 a 72 dpi)<br>
          </div>
          <div class="position-relative form-group">
            <label for="image" class="">Imagen</label>
            <div class="row">
              <div class="col-4">
                <img [src]="url_images + imageInit" class="img-fluid" [alt]="imageInit" *ngIf="imageInit">
                <img [src]="thumbnail" *ngIf="thumbnail" class="img-fluid">
                <img src="assets/images/missing.png" *ngIf="!imageInit && !thumbnail" class="img-fluid">
              </div>
              <div class="col-4 d-flex align-items-center">
                <div class="upload-btn-wrapper">
                  <button class="btn btn-primary">Selecciona un archivo</button>
                  <input type="file" name="image" id="image" (change)="getImage($event)">
                </div>
              </div>
            </div>
          </div>
          <div class="alert alert-warning mt-3" role="alert">
            <fa-icon [icon]="faImages"></fa-icon> Para agregar galeria al producto, es necesario crearlo primero y posteriormente ir al apartado de edición<br>
          </div>
<!--          <div class="alert alert-primary mt-3" role="alert">-->
<!--            <fa-icon [icon]="faImages"></fa-icon> Imágenes (Formato png, jpg o jpeg de tamaño 1,280 x 960 a 72 dpi)<br>-->
<!--          </div>-->
<!--          <ngx-dropzone (change)="onSelect($event)">-->
<!--            <ngx-dropzone-label>Arrastra tus Images</ngx-dropzone-label>-->
<!--            <ngx-dropzone-image-preview ngProjectAs="ngx-dropzone-preview" *ngFor="let f of files" [file]="f" [removable]="true" (removed)="onRemove(f)">-->
<!--              <ngx-dropzone-label>{{ f.name }} ({{ f.type }})</ngx-dropzone-label>-->
<!--            </ngx-dropzone-image-preview>-->
<!--          </ngx-dropzone>-->
          <button type="submit" [disabled]="form.invalid" class="mt-2 float-end btn btn-primary">
            <fa-icon [icon]="faSave"></fa-icon>
            Guardar
          </button>
        </form>
      </div>
    </div>
  </div>
</div>


